// ====================================================================
// Copyright DIGITEO 2010 - Yann COLLETTE
// Copyright DIGITEO 2011 - Allan CORNET
// ====================================================================
function subdemolist = demos_scicobyla()

demopath = get_absolute_file_path("scicobyla.dem.gateway.sce");

subdemolist = ["[1] Simple quadratic",  "example_1.sce"; ...
         "[2] 2D unit circle calculation",  "example_2.sce"; ...
         "[3] 3D ellipsoid calculation",  "example_3.sce"; ...
         "[4] Weak Rosenbrock",  "example_4.sce"; ...
         "[5] Intermediate Rosenbrock",  "example_5.sce"; ...
         "[6] Equation (9.1.15) in Fletcher''s book",  "example_6.sce"; ...
         "[7] Equation (14.4.2) in Fletcher''s book",  "example_7.sce"; ...
         "[8] Rosen-Suzuki",  "example_8.sce"; ...
         "[9] Hock and Schittkowski 100",  "example_9.sce"; ...
         "[10] Hexagon area", "example_10.sce"; ...
         "[11] C function", "example_1_c.sce"; ...
];

subdemolist(:,2) = demopath + subdemolist(:,2);
endfunction
// ====================================================================
subdemolist = demos_scicobyla();
clear demos_scicobyla;
// ====================================================================
